﻿using Syncfusion.UI.Xaml.Controls.Input;
using Windows.UI.Xaml.Controls;

// The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

namespace SfCalendarsample
{
    public sealed partial class CalendarDatePicker : UserControl
    {
        public CalendarDatePicker()
        {
            this.InitializeComponent();
        }
        private object tempDate;
        private void SfTextBoxExt_TextChanged(object sender, TextChangedEventArgs e)
        {
            SfTextBoxExt obj = sender as SfTextBoxExt;
            if (obj.Text != null)
                tempDate = obj.Text;
          
        }

        private void calendar_Loaded(object sender, Windows.UI.Xaml.RoutedEventArgs e)
        {
            calendar.SelectedDate =tempDate ;
        }

        private void txtSelectedDate_Loaded(object sender, Windows.UI.Xaml.RoutedEventArgs e)
        {
            tempDate = (sender as SfTextBoxExt).Text;
        }

      
    }
}